Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.tagshandler
Class PackageTagsHandler.PackageSubstitution

    java.lang.Object
      xdoclet.tagshandler.PackageTagsHandler.PackageSubstitution

All Implemented Interfaces:
  Serializable

Enclosing class:
  PackageTagsHandler

public static class PackageTagsHandler.PackageSubstitution
extends Object
implements Serializable

It's good practice to put interfaces (such as remote/local interfaces, data objects and home interfaces) in a separate "interfaces" package rather than in the EJB bean implementation package. Previous versions of XDoclet dictated this behavior, so if package name of a bean ended with .beans or .ejb interfaces were put into .interfaces package. It's no more the case. You have full control over it. If you don't use a packageSubstitution element, then all interfaces are generated to the same package as the bean implementation class. But if you want to follow the pattern and put interfaces into a separate package you can, by providing the list of package name tails that interfaces of beans inside that packages should be placed into the package you define. For example interfaces of test.ejb.CustomerBean will be placed in test.interfaces by the following packageSubstitution:

    <packageSubstitution packages="ejb,beans" substituteWith="interfaces"/>

See Also:
  Serialized Form
created
  10. september 2002

Constructor Summary
`PackageTagsHandler.PackageSubstitution()`

Method Summary
`String` | `getPackages()` Gets the Packages attribute of the PackageSubstitution object
`String` | `getSubstituteWith()` Gets the SubstituteWith attribute of the PackageSubstitution object
`void` | `setPackages(String packages)` Sets the Packages attribute of the PackageSubstitution object
`void` | `setSubstituteWith(String substituteWith)` Sets the SubstituteWith attribute of the PackageSubstitution object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageTagsHandler.PackageSubstitution

    public PackageTagsHandler.PackageSubstitution()

Method Detail

### getPackages

    public String getPackages()

  Gets the Packages attribute of the PackageSubstitution object

  Returns:
    The Packages value

### getSubstituteWith

    public String getSubstituteWith()

  Gets the SubstituteWith attribute of the PackageSubstitution object

  Returns:
    The SubstituteWith value

### setPackages

    public void setPackages(String packages)

  Sets the Packages attribute of the PackageSubstitution object

  Parameters:
    `packages` - The new Packages value

### setSubstituteWith

    public void setSubstituteWith(String substituteWith)

  Sets the SubstituteWith attribute of the PackageSubstitution object

  Parameters:
    `substituteWith` - The new SubstituteWith value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD